[Pkg-vala-maintainers] Bug#537748: bug in code generation for plugin modules

Heiko Stübner heiko at sntech.de
Mon Jul 20 17:05:28 UTC 2009

Package: valac
Version: 0.7.4-1
Severity: normal

It seems version 0.7.4 breaks the c code generation for plugin modules  as the 
<plugin_class_name>_type_id variable isn't declared anymore.
report: http://mail.gnome.org/archives/vala-list/2009-June/msg00220.html
upstream: http://mail.gnome.org/archives/vala-list/2009-July/msg00036.html

I would like to ask if it's possible to include the upstream-fix


in the debian package till the next upstream version as this bug breaks the 
new (mandatory) vala-based parts of the freesmartphone.org software-stack used 
for example by the Neo Freerunner Phone.


More information about the Pkg-vala-maintainers mailing list